<?php


namespace AutoAdmin\Bundle\Seo\Entity;

use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Embeddable]
class SchemaOrgMetadata
{
    #[ORM\Column(type: Types::TEXT, nullable: true)]
    protected ?string $jsonLd = '';

    #[ORM\Column(type: Types::BOOLEAN)]
    protected ?bool $override = false;

    public function getJsonLd(): ?string
    {
        return $this->jsonLd;
    }

    public function setJsonLd(?string $jsonLd): SchemaOrgMetadata
    {
        $this->jsonLd = $jsonLd;

        return $this;
    }

    public function getOverride(): ?bool
    {
        return $this->override;
    }

    public function setOverride(?bool $override): self
    {
        $this->override = $override;

        return $this;
    }
}
